package telinc.telicraft.api.event.entity.meteor;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

/**
 * Called when a Minecart with Meteor Bomb is about to explode. If canceled, the cart will set its fuse to 20 ticks (1 second), so it can try to explode again.
 */
@Cancelable
public class MeteorCartExplodeEvent extends Event {
    /**
     * The Minecart with Meteor Bomb entity. Because of comptiblity, do sanity checks before assuming that this is an EntityMinecartMeteorBomb.
     */
    public final Object cart;
    
    public MeteorCartExplodeEvent(Object cart){
        this.cart = cart;
    }
}