package telinc.telicraft.api.event.entity.minecart;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

/**
 * Called when a Minecart with Alarm switches its state. Cancel to prevent it from doing so.
 */
@Cancelable
public class MinecartAlarmSwitchStateEvent extends Event {
    /** The minecart. Make sure to do sanity checks before assuming that this is really an EntityMinecartAlarm. */
    public final Object minecartAlarm;

    public MinecartAlarmSwitchStateEvent(Object minecart) {
        this.minecartAlarm = minecart;
    }
}