package telinc.telicraft.api.event.entity.meteor;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

/**
 * Called when a Meteor Bomb is about to explode. If canceled, the bomb will set its fuse to 20 (1 second), so it can try to explode again.
 */
@Cancelable
public class MeteorBombExplodeEvent extends Event {
    /**
     * The Meteor Bomb entity. Because of compatibility, do checks before assuming that this is an instance of EntityMeteorBombPrimed.
     */
    public final Object bomb;
    
    public MeteorBombExplodeEvent(Object bomb){
        this.bomb = bomb;
    }
}